org.apache.xmlgraphics.ps.dsc.events

## Class DSCCommentPage

- java.lang.Object
- - org.apache.xmlgraphics.ps.dsc.events.AbstractEvent
  - - org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment
    - - org.apache.xmlgraphics.ps.dsc.events.DSCCommentPage

- All Implemented Interfaces:
    DSCParserConstants, DSCComment, DSCEvent

      public class DSCCommentPage
      extends AbstractDSCComment

  Represents a %%Page DSC comment.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlgraphics.ps.dsc.DSCParserConstants

      `COMMENT, DSC_COMMENT, EOF, HEADER_COMMENT, LINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DSCCommentPage()` Creates a new instance.
    `DSCCommentPage(int pagePosition)` Creates a new instance.
    `DSCCommentPage(java.lang.String pageName, int pagePosition)` Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generate(PSGenerator gen)` Writes the event to the given PSGenerator.
    `java.lang.String` | `getName()` Returns the name of the DSC comment.
    `java.lang.String` | `getPageName()` Returns the name of the page.
    `int` | `getPagePosition()` Returns the page position.
    `boolean` | `hasValues()` Indicates whether this DSC comment has values.
    `void` | `parseValue(java.lang.String value)` Parses the value of the DSC comment.
    `void` | `setPageName(java.lang.String name)` Sets the page name.
    `void` | `setPagePosition(int position)` Sets the page position.

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment

      `asDSCComment, getEventType, isAtend, isDSCComment, splitParams`

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractEvent

      `asLine, isComment, isHeaderComment, isLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlgraphics.ps.dsc.events.DSCEvent

      `asLine, isComment, isHeaderComment, isLine`

- - ### Constructor Detail

    - #### DSCCommentPage

          public DSCCommentPage()

      Creates a new instance.

    - #### DSCCommentPage

          public DSCCommentPage(java.lang.String pageName,
                                int pagePosition)

      Creates a new instance.
      Parameters:
        `pageName` - the name of the page
        `pagePosition` - the position of the page within the file (1-based)

    - #### DSCCommentPage

          public DSCCommentPage(int pagePosition)

      Creates a new instance. The page name will be set to the same value as the page position.
      Parameters:
        `pagePosition` - the position of the page within the file (1-based)

  - ### Method Detail

    - #### getPageName

          public java.lang.String getPageName()

      Returns the name of the page.
      Returns:
        the page name

    - #### setPageName

          public void setPageName(java.lang.String name)

      Sets the page name.
      Parameters:
        `name` - the page name

    - #### getPagePosition

          public int getPagePosition()

      Returns the page position.
      Returns:
        the page position (1-based)

    - #### setPagePosition

          public void setPagePosition(int position)

      Sets the page position.
      Parameters:
        `position` - the page position (1-based)

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `DSCComment`
      Returns the name of the DSC comment.
      Returns:
        the name of the DSC comment (without the "%%" prefix)
      See Also:
        `DSCComment.getName()`

    - #### hasValues

          public boolean hasValues()

      Description copied from interface: `DSCComment`
      Indicates whether this DSC comment has values.
      Returns:
        true if the DSC comment has values
      See Also:
        `DSCComment.hasValues()`

    - #### parseValue

          public void parseValue(java.lang.String value)

      Description copied from interface: `DSCComment`
      Parses the value of the DSC comment.
      Parameters:
        `value` - the value
      See Also:
        `DSCComment.parseValue(java.lang.String)`

    - #### generate

          public void generate(PSGenerator gen)
                        throws java.io.IOException

      Description copied from interface: `DSCEvent`
      Writes the event to the given PSGenerator.
      Parameters:
        `gen` - the PSGenerator to write to
      Throws:
        `java.io.IOException` - In case of an I/O error
      See Also:
        `DSCEvent.generate( org.apache.xmlgraphics.ps.PSGenerator)`

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.